## dqsegdb2-1.2.1.tar.gz

=== requirements.txt ===
igwn-auth-utils[requests]
ligo-segments
pytest
pytest-cov
requests-mock

=== debian/changelog ===
dqsegdb2 (1.2.1-1) unstable; urgency=low

  * update for 1.2.1
  * update igwn-auth-utils minimum requirement

 -- Duncan Macleod <duncan.macleod@ligo.org>  Fri, 25 Aug 2023 08:54:00 +0100

dqsegdb2 (1.2.0-1) unstable; urgency=low

  * update for 1.2.0
  * update igwn-auth-utils minimum requirement

 -- Duncan Macleod <duncan.macleod@ligo.org>  Wed, 16 Aug 2023 10:48:00 +0100

dqsegdb2 (1.1.4-1) unstable; urgency=low

  * update for 1.1.4

 -- Duncan Macleod <duncan.macleod@ligo.org>  Tue, 23 May 2023 10:52:00 +0100

dqsegdb2 (1.1.3-1) unstable; urgency=low

  * update for 1.1.3
  * update igwn-auth-utils requirement
  * remove extra Requires for igwn-auth-utils[requests]

 -- Duncan Macleod <duncan.macleod@ligo.org>  Mon, 26 Sep 2022 15:53:00 +0100

dqsegdb2 (1.1.2-1) unstable; urgency=low

  * update for 1.1.2, reinstates debian packaging
  * remove python2 packages

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 30 Jun 2022 17:00:00 +0100

dqsegdb2 (1.0.1-1) unstable; urgency=low

  * first release

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 07 Feb 2019 13:57:00 +0000

=== debian/control ===
# -- dqsegdb2 source package --------------------------------------------------

Source: dqsegdb2
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Homepage: https://pypi.org/project/dqsegdb2/
Vcs-Browser: https://git.ligo.org/duncanmmacleod/dqsegdb2
Vcs-Git: https://git.ligo.org/duncanmmacleod/dqsegdb2.git
Section: python
Priority: optional
Standards-Version: 4.2.1
X-Python3-Version: >= 3.6
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-setuptools,

# -- python3-dqsegdb2 ---------------------------------------------------------

Package: python3-dqsegdb2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-igwn-auth-utils (>= 1.0.0),
 python3-ligo-segments (>= 1.0.0),
Description: simplified Python 3 interface to DQSEGDB
 DQSEGDB2 is a simplified Python implementation of the DQSEGDB API as
 defined in LIGO-T1300625.
 .
 This package only provides a query interface for `GET` requests, any users
 wishing to make `POST` requests should refer to the official `dqsegdb` Python
 client available from https://github.com/ligovirgo/dqsegdb/.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE = test

%:
	dh $@ \
		--buildsystem=pybuild \
		--with python3 \
	;

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/dqsegdb2/dqsegdb2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
